Bug 1126026 - Importing a older manifest, deleting it, and importing a newer one results in error
Summary: Importing a older manifest, deleting it, and importing a newer one results in...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Candlepin
Classification: Community
Component: candlepin
Version: 0.9
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Bryan Kearney
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On: 1126024
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-01 15:44 UTC by Justin Sherrill
Modified: 2016-07-22 14:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1126024
Environment:
Last Closed: 2016-07-22 14:39:40 UTC


Attachments (Terms of Use)

Description Justin Sherrill 2014-08-01 15:44:40 UTC
Created attachment 923342 [details]
Traceback

+++ This bug was initially created as a clone of Bug #1126024 +++

Description of problem:

There is some issue with importing some older manifests and then trying to import a newer one


Version-Release number of selected component (if applicable):
candlepin-0.9.21-1.el6.noarch

How reproducible:
Always

Steps to Reproduce:
1.  Import an older manifest (such as the one attached)
2.  Delete the manifest
3.  Import a newer manifest (such as the 2nd one attached)

Actual results:
Error

Expected results:
Works

Additional info:

This completely breaks the satellite.  Even new organizations can no longer import a new manifest.


Traceback and manifests attached

Comment 3 Carter Kozak 2014-08-07 14:27:53 UTC
commit 9be94607d7c92afbe36af36f6ffbdac587aad365
Author: ckozak <ckozak@redhat.com>
Date:   Mon Aug 4 12:47:14 2014 -0400

    1126024: 1126026: Contain ProductContent in a list, not a set

Comment 5 Mike McCune 2016-03-28 22:21:14 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 6 Barnaby Court 2016-07-22 14:39:40 UTC
Moving to closed per the updated candlepin process for bugs that have been merged or have been taken care of.


Note You need to log in before you can comment on or make changes to this bug.